button.ok=OK
button.cancel=Cancel
button.close=Close
button.add=Add
button.remove=Remove
button.yes=Yes
button.no=No
button.ignore=Ignore
button.changeTo=Change to %s
button.browse=Browse

position.up=Up
position.bottom=Bottom
position.left=Left
position.right=Right

language.en_GB=English
language.de_DE=German

unknownError.title=Unknown error
unknownError.text=An unknown error has occurred.

noInternetConnection.title=No internet connection
noInternetConnection.text=An Internet connection is required for this function.

mainWindow.menu.file=File
mainWindow.menu.file.new=New
mainWindow.menu.file.newTemplate=New (from Template)
mainWindow.menu.file.newTemplate.empty=No Templates found
mainWindow.menu.file.newTemplate.add=Add
mainWindow.menu.file.newTemplate.add.document=Save current document as template
mainWindow.menu.file.newTemplate.add.file=Add file as template
mainWindow.menu.file.newTemplate.add.dialog.title=Enter name
mainWindow.menu.file.newTemplate.add.dialog.text=Please enter a name for the template
mainWindow.menu.file.open=Open
mainWindow.menu.file.openDirectory=Open Directory
mainWindow.menu.openRecent=Open Recent Files
mainWindow.menu.openRecent.empty=No recent files
mainWindow.menu.openRecent.clear=Clear
mainWindow.menu.openRecent.openAll=Open all
mainWindow.menu.file.save=Save
mainWindow.menu.file.saveAs=Save as ...
mainWindow.menu.file.saveAll=Save all
mainWindow.menu.file.close=Close
mainWindow.menu.file.closeAllTabs=Close all tabs
mainWindow.menu.file.print=Print
mainWindow.menu.file.exit=Exit
mainWindow.menu.edit=Edit
mainWindow.menu.edit.undo=Undo
mainWindow.menu.edit.redo=Redo
mainWindow.menu.edit.cut=Cut
mainWindow.menu.edit.copy=Copy
mainWindow.menu.edit.paste=Paste
mainWindow.menu.edit.delete=Delete
mainWindow.menu.edit.selectAll=Select All
mainWindow.menu.edit.copyClipboard=Copy to Clipboard
mainWindow.menu.edit.copyClipboard.copyPath=Copy Full Path to Clipboard
mainWindow.menu.edit.copyClipboard.copyDirectory=Copy Directory to Clipboard
mainWindow.menu.edit.copyClipboard.copyFilename=Copy Filename to Clipboard
mainWindow.menu.edit.copyClipboard.copyURL=Copy URL to Clipboard
mainWindow.menu.edit.convertCase=Convert Case to
mainWindow.menu.edit.convertCase.uppercase=Uppercase
mainWindow.menu.edit.convertCase.lowercase=Lowercase
mainWindow.menu.edit.convertCase.title=Title
mainWindow.menu.edit.convertCase.swap=Swap
mainWindow.menu.edit.lineOperations=Line operations
mainWindow.menu.edit.lineOperations.duplicateCurrentLine=Duplicate Current Line
mainWindow.menu.edit.lineOperations.deleteCurrentLine=Delete Current Line
mainWindow.menu.edit.lineOperations.shuffleLines=Shuffle Lines
mainWindow.menu.edit.eol=End of line
mainWindow.menu.edit.settings=Settings
mainWindow.menu.view=View
mainWindow.menu.view.zoom=Zoom
mainWindow.menu.view.zoom.zoomIn=Zoom in
mainWindow.menu.view.zoom.zoomOut=Zoom out
mainWindow.menu.view.zoom.zoomDefault=Default zoom
mainWindow.menu.view.zoom.zoomCustom=Custom
mainWindow.menu.view.zoom.zoomCustom.titel=Custom Zoom
mainWindow.menu.view.zoom.zoomCustom.text=Please enter a value for the zoom in per cent
mainWindow.menu.view.fullscreen=Fullscreen
mainWindow.menu.view.sidebar=Sidebar
mainWindow.menu.view.foldAll=Fold All
mainWindow.menu.view.unfoldAll=Unfold All
mainWindow.menu.view.splitView=Split View
mainWindow.menu.view.splitView.splitVertical=Split Vertical
mainWindow.menu.view.splitView.deleteCurrentView=Close Current View
mainWindow.menu.search=Search
mainWindow.menu.search.search=Find
mainWindow.menu.search.advancedSearch=Advanced Search
mainWindow.menu.search.searchAndReplace=Find and Replace
mainWindow.menu.search.gotoLine=Goto Line
mainWindow.menu.tools=Tools
mainWindow.menu.tools.pickColor=Pick Color
mainWindow.menu.tools.documentStatistics=Document Statistics
mainWindow.menu.tools.insertDateTime=Insert Date and Time ...
mainWindow.menu.tools.stripSpaces=Strip Trailing Spaces
mainWindow.menu.tools.replaceTabSpaces=Replace Tabs with Spaces
mainWindow.menu.tools.replaceSpacesTab=Replace Spaces with Tabs
mainWindow.menu.language=Language
mainWindow.menu.language.plainText=Plain Text
mainWindow.menu.encoding=Encoding
mainWindow.menu.bookmarks=Bookmarks
mainWindow.menu.bookmarks.addRemoveBookmark=Set/delete bookmark
mainWindow.menu.bookmarks.nextBookmark=Next bookmark
mainWindow.menu.bookmarks.previousBookmark=Previous bookmark
mainWindow.menu.bookmarks.clearBookmarks=Clear all bookmarks
mainWindow.menu.macro=Macro
mainWindow.menu.macro.startRecording=Start recording
mainWindow.menu.macro.stopRecording=Stop recording
mainWindow.menu.macro.playMacro=Execute macro
mainWindow.menu.macro.saveMacro=Save recorded macro
mainWindow.menu.macro.manageMacros=Manage macros
mainWindow.menu.execute=Execute
mainWindow.menu.execute.executeCommand=Execute Command
mainWindow.menu.execute.editCommands=Edit Commands
mainWindow.menu.about.openDataDir=Open data directory
mainWindow.menu.about.openProgramDir=Open program directory
mainWindow.menu.about.searchForUpdates=Search for updates
mainWindow.menu.about.dayTip=Tip of the day
mainWindow.menu.about.reportBug=Report Bug
mainWindow.menu.about.viewDocumentation=Documentation
mainWindow.menu.about.about=About
mainWindow.menu.about.aboutQt=About Qt
mainWindow.newTabTitle=Untiteld
mainWindow.statusBar.cursorPosLabel=Ln %s, Col %s
mainWindow.openFileDialog.title=Open
mainWindow.openDirectoryDialog.title=Open Directory
mainWindow.saveAsDialog.title=Save as ...
mainWindow.fileNameFilter.allFiles=All Files
mainWindow.printDialog.title=Print
mainWindow.separator=Separator
mainWindow.messageBox.saveMacro.title=Save macro
mainWindow.messageBox.saveMacro.text=Please enter a name for the macro

closeSaveWindow.title=Save %s
closeSaveWindow.text="%s" has been edited. Do you like to save it?
closeSaveWindow.button.noSave=Close without Saving
closeSaveWindow.button.save=Save
closeSaveWindow.button.saveAs=Save As

settingsWindow.title=Settings
settingsWindow.button.default=Default
settingsWindow.general=General
settingsWindow.general.label.languageSelect=Language (needs restart):
settingsWindow.general.combobox.systemDefault=Use system default
settingsWindow.general.label.maxRecentFiles=Length of recent files list
settingsWindow.general.checkBox.saveClose=Ask for save, when trying to close a edited file
settingsWindow.general.checkBox.saveSession=Save Session
settingsWindow.general.checkBox.loadPlugins=Load Plugins
settingsWindow.general.checkBox.useNativeIcons=Use native Icons
settingsWindow.general.checkBox.dayTip=Show tip of the day at startup
settingsWindow.general.checkBox.windowFileTitle=Show filename in window title
settingsWindow.general.checkBox.searchUpdates=Check for updates at startup
settingsWindow.general.checkBox.saveWindowState=Save window status
settingsWindow.general.checkBox.showFileChangedBanner=Monitor open files for changes
settingsWindow.editor=Editor
settingsWindow.editor.label.defaultEncoding=Default encoding:
settingsWindow.editor.label.defaultEolMode=Default end of line:
settingsWindow.editor.label.defaultLanguage=Default language:
settingsWindow.editor.label.tabWidth=Tab width:
settingsWindow.editor.checkBox.editTabSpaces=Insert Spaces instead of Tabs
settingsWindow.editor.checkBox.textWrap=Enable Text wrapping
settingsWindow.editor.checkBox.showWhitespaces=Show Whitespaces
settingsWindow.editor.checkBox.autoIndent=Automatic indentation
settingsWindow.editor.checkBox.showIndentationGuides=Show indentation guides
settingsWindow.editor.checkBox.showEol=Show end of line
settingsWindow.autocompletion=Autocompletion
settingsWindow.autocompletion.checkbox.enableAutocompletion=Enable Autocompletion
settingsWindow.autocompletion.checkbox.useWordsFromDocument=Use Words from Document
settingsWindow.autocompletion.checkbox.useAPI=Use API
settingsWindow.autocompletion.checkbox.caseSensitive=Case Sensitive
settingsWindow.autocompletion.checkbox.replaceWord=Replace Word
settingsWindow.autocompletion.label.threshold=Autocomplete at this char:
settingsWindow.style=Style
settingsWindow.style.label.theme=Editortheme:
settingsWindow.style.theme.default=Default
settingsWindow.style.label.foldStyle=Fold Style:
settingsWindow.style.foldStyle.none=None
settingsWindow.style.foldStyle.plain=Plain
settingsWindow.style.foldStyle.circled=Circled
settingsWindow.style.foldStyle.boxed=Boxed
settingsWindow.style.foldStyle.circledTree=CircledTree
settingsWindow.style.foldStyle.boxedTree=BoxedTree
settingsWindow.style.checkBox.font=Font:
settingsWindow.style.checkBox.showLineNumbers=Show Line Numbers
settingsWindow.style.checkBox.highlightCurrentLine=Highlight current Line
settingsWindow.style.label.defaultZoom=Default zoom:
settingsWindow.tabBar=Tabbar
settingsWindow.tabBar.label.position=Position:
settingsWindow.tabBar.checkBox.hideTabBar=Hide Tabbar when only 1 tab is open
settingsWindow.tabBar.checkBox.exitLastTab=Exit jdTextEdit when the last tab is closed
settingsWindow.tabBar.checkBox.closeButton=Show close button on each tab
settingsWindow.tabBar.checkBox.allowTabMove=Allow moving tabs with the mouse
settingsWindow.tabBar.checkBox.tabDoubleClickClose=Close tabs with double click
settingsWindow.open=Open
settingsWindow.open.checkBox.useIPC=Always open files in this instance
settingsWindow.open.checkBox.detectLanguage=Detect language
settingsWindow.open.checkBox.detectEol=Detect end of line
settingsWindow.open.checkBox.detectEncoding=Detect encoding
settingsWindow.open.label.encodingDetectLib=Detect encoding with:
settingsWindow.open.checkBox.showEncodingBanner=Warn when encoding is not the default setting
settingsWindow.open.checkBox.showEolBanner=Warn when end of line is not the default setting
settingsWindow.save=Save
settingsWindow.save.checkBox.eolFileEnd=Insert end of line at end of file when saving
settingsWindow.save.checkBox.stripSpaces=Remove all spaces at the end of the line when saving
settingsWindow.save.checkBox.enableBackup=Create a backup copy of files before saving
settingsWindow.save.label.backupExtension=Backup extension:
settingsWindow.save.checkBox.enableAutoSave=Enable automatic saving
settingsWindow.save.label.autoSaveInterval=Saving interval in seconds:
settingsWindow.bigFiles=Big Files
settingsWindow.bigFiles.checkBox.enableBigFiles=Limit big files
settingsWindow.bigFiles.label.filesFrom=Files from
settingsWindow.bigFiles.label.bytes=bytes
settingsWindow.bigFiles.checkBox.disableHighlight=Disable syntax highlighting
settingsWindow.bigFiles.disableEncodingDetect=Disable encoding detect
settingsWindow.bigFiles.showBanner=Show banner
settingsWindow.paths=Paths
settingsWindow.paths.label.save=Save
settingsWindow.paths.label.open=Open
settingsWindow.paths.radioButton.followCurrentDocument=Follow current document
settingsWindow.paths.radioButton.rememberLastDirectory=Remeber last used directory
settingsWindow.paths.radioButton.useCustomDirectory=Use custom directory
settingsWindow.editorconfig=Editorconfig
settingsWindow.editorconfig.checkBox.useEditorConfig=Use .editorconfig if available
settingsWindow.editorconfig.checkBox.useIndentStyle=Use indentation style from .editorconfig
settingsWindow.editorconfig.checkBox.tabWidth=Use tab width from .editorconfig
settingsWindow.editorconfig.checkBox.endOfLine=Use end of line from .editorconfig
settingsWindow.editorconfig.checkBox.trimWhitespace=Use setting to remove spaces from .editorconfig
settingsWindow.editorconfig.checkBox.insertNewline=Use setting to insert end of line from .editorconfig
settingsWindow.editorconfig.checkBox.showBanner=Show notice when .editorconfig is used
settingsWindow.interface=Interface
settingsWindow.interface.label.applicationStyle=Application style:
settingsWindow.interface.combobox.systemStyle=System style
settingsWindow.interface.label.settingsDesign=Settings Design (needs restart):
settingsWindow.interface.combobox.modern=Modern
settingsWindow.interface.combobox.classic=Classic
settingsWindow.interface.checkBox.enableUserChrome=Enable userChrome.css
settingsWindow.contextMenu=Context menu
settingsWindow.contextMenu.button.add=Add
settingsWindow.contextMenu.button.remove=Remove
settingsWindow.contextMenu.button.up=Move Up
settingsWindow.contextMenu.button.down=Move Down
settingsWindow.contextMenu.unknownAction=Unknown Action
settingsWindow.toolbar=Toolbar
settingsWindow.toolbar.checkBox.showToolbar=Show Toolbar
settingsWindow.toolbar.label.buttonStyle=Toolbar button style:
settingsWindow.toolbar.label.position=Position:
settingsWindow.toolbar.buttonStyle.iconOnly=Icon only
settingsWindow.toolbar.buttonStyle.textOnly=Text only
settingsWindow.toolbar.buttonStyle.textBesideIcons=Text beside Icons
settingsWindow.toolbar.buttonStyle.textUnderIcons=Text under Icons
settingsWindow.toolbar.buttonStyle.osStyle=Follow OS Style
settingsWindow.shortcuts=Shortcuts
settingsWindow.shortcuts.button.clear=Clear
settingsWindow.shortcuts.button.reset=Reset
settingsWindow.plugins=Plugins
settingsWindow.plugins.header.enabled=Enabled
settingsWindow.plugins.header.name=Name
settingsWindow.plugins.header.version=Version
settingsWindow.plugins.header.author=Author

searchWindow.title=Find
searchWindow.label.searchFor=Search for:
searchWindow.checkBox.regularExpression=Regular Expression
searchWindow.checkBox.caseSensitive=Match Case
searchWindow.checkBox.wholeWord=Match entire word only
searchWindow.checkBox.wrap=Wrap around
searchWindow.checkBox.backwards=Search backwards
searchWindow.checkBox.showText=Show text if hidden
searchWindow.checkBox.searchRange=Search from a certain range
searchWindow.label.searchLine=Search at Line
searchWindow.label.searchColumn=Search at Column
searchWindow.button.search=Find

searchAndReplaceWindow.title=Find and Replace
searchAndReplaceWindow.label.searchFor=Search for:
searchAndReplaceWindow.label.replaceWith=Replace with:

gotoLineWindow.title=Goto Line
gotoLineWindow.text=Please enter line number:

documentStatistics.title=Document Statistics
documentStatistics.document=Document
documentStatistics.selection=Selection
documentStatistics.lines=Lines
documentStatistics.words=Words
documentStatistics.charactersSpaces=Characters (with spaces)
documentStatistics.charactersNoSpaces=Characters (no spaces)

dateTimeWindow.title=Insert Date and Time
dateTimeWindow.radioButton.useTemplate=Use the selected format
dateTimeWindow.radioButton.useCustom=Use custom format
dateTimeWindow.label.preview=Preview: %s

manageMacrosWindow.title=Manage macros
manageMacrosWindow.button.clearShortcut=Clear shortcut
manageMacrosWindow.button.removeMacro=Remove macro
manageMacrosWindow.noMacros.title=No macros available
manageMacrosWindow.noMacros.text=There are currently no macros available. You have to record some before you can manage them.

executeCommand.label.url=Full URL of the currently active file.
executeCommand.label.path=Full path of the currently active file.
executeCommand.label.directory=Directory of the currently active file.
executeCommand.label.filename=Name of the currently active file.
executeCommand.label.selection=Currently selected text.
executeCommand.label.snap=jdTextEdit is installed via snap so the execution of<br> commands is restricted due to the sandbox

executeCommandWindow.title=Execute Command
executeCommandWindow.runTerminal=Execute in Terminal

editCommandsWindow.title=Edit Commands
editCommandsWindow.text=Text
editCommandsWindow.command=Command
editCommandsWindow.terminal=Terminal
editCommandsWindow.shortcut=Shortcut

aboutWindow.title=About
aboutWindow.label.title=jdTextEdit Version %s
aboutWindow.label.description=jdTextEdit is a feature rich text editor with plugin support written in Python
aboutWindow.label.license=This program is licensed under GNU GPL 3
aboutWindow.label.logoAuthor=The logo was made by Axel-Erfurt
aboutWindow.button.viewSource=View Source

updater.snap.title=Installed with Snap
updater.snap.text=You have jdTextEdit installed with Snap. In this case, Snap will handle the updates. There is no need to do this by hand.
updater.noUpdates.title=No updates available
updater.noUpdates.text=There are currently no updates available. You are using the latest version.
updater.newVersion.title=New Version
updater.newVersion.text=Version %s of jdTextEdit is now aviable. Do you wnat do download it?
updater.readOnly.title=No write permission
updater.readOnly.text=You do not have write access to the installation folder. Please download the latest version by hand.

dayTipWindow.title=Tip of the day
dayTipWindow.showStartup=Show tips on startup
dayTipWindow.nextTip=Next tip

searchBar.label.search=Search:
searchBar.tooltip.findNext=Jump to next match
searchBar.tooltip.findFirst=Jump to first match

fileChangedBanner.text=The file was changed on the drive
fileChangedBanner.button.reload=Reload

fileDeletedBanner.text=The file was deleted by another program
fileDeletedBanner.button.closeFile=Close File

wrongEncodingBanner.text=The encoding does not correspond to the default settings

wrongEolBanner.text=The end of line does not correspond to the default settings

bigFileBanner.text=Due to the size of the file some features have been disabled

editorconfigBanner.text=Some settings from an .editorconfig are used

noReadPermission.title=Can't open file
noReadPermission.text=You don't have the permission to open %s

noWritePermission.title=Can't save file
noWritePermission.text=You don't have the permission to write %s

invalidFilename.title=Invalid filename
invalidFilename.text=The Filename is invalid

sidebar.notes=Notes
sidebar.notes.placeholderText=You can write down notes here
sidebar.tabs=Tabs
sidebar.files=Files
sidebar.clipboard=Clipboard
sidebar.clipboard.placeholderText=At the moment there is nothing in the clipboard
sidebar.charactermap=Character Map
sidebar.charactermap.decimal=Decimal
sidebar.charactermap.character=Character

dayTip.installPlugins=You can install plugins by putting them into the plugins folder in the data folder.
dayTip.multipleLanguages=jdTextEdit is aviable in multiple langauges. You can change the language in the preferences.
dayTip.openDataFolder=You can open the data folder in the about menu.
dayTip.changeSyntaxHighlighting=You can cange the syntax highlighter in the language menu.
dayTip.editContextToolbar=You can edit the contextmenu and the toolbar in the preferences.
dayTip.addTemplates=You can add your own templates to the templates menu by putting them into the templates folder in the data folder.
dayTip.configShortcuts=Didn't like the default shortcuts? You can edit all shortcuts in the "Shortcuts" tab of the "Preferences" window.
dayTip.sidebar=jdTextEdit has a sidebar with a lot of features! You can enabled it in the "View" menu.
dayTip.portableMode=Run jdTextEdit with -p to use it in portable mode.
dayTip.useBookmarks=You can use bookmarks to quickly jump to important points in the code.
dayTip.marginBookmark=By clicking on the border you can set or remove bookmarks.
dayTip.searchUpdatesStartup=jdTextEdit automatically checks for updates at startup. You can disable this in the settings. Alternatively you can use the about menu to check for updates.
dayTip.userChrome=If you would like to redesign jdTextEdit with your own CSS code, you can create the file userChrome.css in the data folder.
dayTip.saveSession=jdTextEdit automatically saves your session, so next time you can continue where you left off. You can disable this behavior in the preferences.
dayTip.detectFiles=jdTextEdit automatically detects language, line end and encoding of text files. You can disable this in the settings.
dayTip.endOfLine=jdTextEdit supports different line ends. The line end of the file is automatically recognized unless you have disabled it in the settings. You can change the line end of the current file in the edit menu. You can also change the settings to show the end of line.
dayTip.sidebarClipboard=You can display the current clipboard content in the sidebar.
dayTip.snapSandbox=If you have installed jdTextEdit by snap, you have to live with some restrictions due to the sandbox.
dayTip.dataDirEnviromentVar=You can set the data folder using the JDTEXTEDIT_DATA_PATH environment variable.
dayTip.defaultDataFolder=If the folder default_data is located in the installation folder, it will be used when creating a new storage folder. You can use this to set preferences for multiple computers.
dayTip.fileOpenDragDrop=You can open files by dragging and dropping them into the window.
dayTip.editorConfigSupport=jdTextEdit supports the .editorconfig standard.
dayTip.readDocumentation=Read the documentation of jdTextEdit at https://jdtextedit.readthedocs.io
dayTip.supportedOperatingSystems=Did you know that jdTextEdit runs on Linux, Windows macOS and Haiku?
